Skip to main content
`Ctrl`+`K`

# DMPlexCreateWedgeCylinderMesh

Creates a mesh on the tensor product of the unit interval with the circle (cylinder) using wedges.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateWedgeCylinderMesh(MPI_Comm comm, PetscInt n, PetscBool interpolate, DM *dm)

Collective

## Input Parameters

- comm - The communicator for the `DM` object

- n - The number of wedges around the origin

- interpolate - Create edges and faces

## Output Parameter

- dm - The `DM` object

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateHexCylinderMesh()`, `DMPlexCreateBoxMesh()`, `DMSetType()`, `DMCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexcreate.c

## Implementations

DMPlexCreateWedgeCylinderMesh_Internal() in src/dm/impls/plex/plexcreate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages